Opened 4 years ago

Closed 4 years ago

Last modified 20 months ago

#12499 closed Bug Report - General (Fixed)

Diseqc LNB 2 can no longer be configured for use in mythtv-setup

Reported by: Ian Richardson <grandmastermarclar@…> Owned by: gigem
Priority: major Milestone: 0.28
Component: MythTV - Mythtv-setup Version: Master Head
Severity: high Keywords:
Cc: Ticket locked: yes

Description

Unable to select Port 2 of any Diseqc. This is in mythtv-setup, in build 2:0.28.0~master.20150828.4a81075-0ubuntu0mythbuntu3. Port 1 is OK, but cannot even set up Port 2.

The first card I have is a dual DVB-T2 tuner. This is working correctly.

The second card I have is a dual DVB-S2 tuner. The input to each tuner is connected to a mini diseqc. Port 1 in each diseqc is connected to an LNB pointing to 28.2E, port 2 is connected to a LNB pointing to 13E.

Up until the changes which gave rise to #12945, this setup all worked ok.

In mythtv-setup, I would configure:

Video sources - Freeview EIT, Freesat EIT, and Hotbird EIT.

Capture cards - /dev/dvb/adapter0/frontend0 and /dev/dvb/adapter1/frontend0 for the TBS 62x0 card.

Capture cards - /dev/dvb/adapter2/frontend0 and /dev/dvb/adapter3/frontend0 for the TBS6982SE.

For these last two, I use the DiSEqC options to set up a mini diseqc, and two LNBs. I have Switch 1, with Switch 1 LNB 1 and Switch 1 LNB 2, and Switch 2 with Switch 2 LNB 1 and Switch 2 LNB 2.

Input connections - all is fine for /dev/dvb/adapter0/frontend0 and /dev/dvb/adapter1/frontend0. These have and Input name of "DVBInput", Display names of Freeview 1 and Freeview 2 respectively, and both use the Video source Freeview EIT. This is and has always been fine.

Input connections. When selecting /dev/dvb/adapter2/frontend0, you are presented with an intermediate screen entitled "DTV Device Configuration", with "Switch 1:", and a disabled drop-down for "Port 1 (Switch 1 LNB 1)".

Selecting Next at this point gives you an Input name which you can change from "(None)", "DVBInput #1", or "DVBInput #2". I use "DBVInput #1", Display name "Freesat 1", Video source "Freesat EIT". Once I've finished setting this one up, the list of video connections should now display a brand new "/dev/dvb/adapter2/frontend1".

It does not.

If I go through exactly the same sequence for /dev/dvb/adapter3/frontend0, I do not get an option to set up a new "dev/dvb/adapter3/frontend1".

(As an aside, since long before the changes resulting in #12945, I could bizarrely continue setting up /dev/dev/adapter2/frontend2, /dev/dvb/adapter2/frontend3, etc... beyond the limits of the diseqc tree! Same for /dev/dvb/adapter3/ as well.)

As such, LNB 2 cannot be selected, so I can't tune it.

Attachments (4)

12499-v1.patch (9.8 KB) - added by gigem 4 years ago.
mythbackend.log.gz (546.0 KB) - added by Ian Richardson <grandmastermarclar@…> 4 years ago.
backend log with -v channel, record.
mythbackend.log.1.gz (522.2 KB) - added by Ian Richardson <grandmastermarclar@…> 4 years ago.
backend log with -v channel, record. from 2015-09-23 to morning of 2015-09-24
mythbackend.log.2.gz (35.5 KB) - added by Ian Richardson <grandmastermarclar@…> 4 years ago.
backend logs from morning of 2015-09-24 to around 1250BST

Download all attachments as: .zip

Change History (67)

comment:1 Changed 4 years ago by gigem

Status: newinfoneeded_new

Thanks, Ian. With your explanation and the MythTV wiki, I have a better, though still not perfect, idea of how the hardware works. Can you answer a few questions to help fill in the remaining gaps in my knowlege?

  1. What do you get when running 'ls /dev/dvb/adaptor2'? What I want to know is are the additional frontends always there or do they only show up after something is done programatically.
  1. Can you provide a dump of your capturecard and cardinput tables in MySQL from when things were configured correctly?
  1. Are the frontends on an adaptor mutually exclusive? In other words, if /dev/deb/adaptor2/frontend0 is in use, is MythTV precluded from using /dev/dbb/adaptor2/frontend1 at the same time? I suspect yes.

comment:2 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

  1. Only after adding an Input connection for a Capture card which has a diseqc tree does another input connection (incrementing frontendX), appear. This second one would automatically select on the intermediate screen as Switch 1: Port 2 (Switch 1 LNB 2).
  1. I'd love to, but I'd have to carefully extract from a backup... and I'm somewhat reluctant to do that. Would I be able to pass on a DB backup to you for you to extract?
  1. Yes, you're correct. One tuner can only instruct the diseqc it's connected to to use a specific LNB. That's why I have each feed to the dual DVB-S/2 tuner connected to a mini diseqc, and each input to each diseqc connected to one LNB from each dish.

Anything else I can give you?

comment:3 in reply to:  2 ; Changed 4 years ago by gigem

Replying to Ian Richardson <grandmastermarclar@…>:

Anything else I can give you?

Yes.

  1. I understand that it showed up in mythtv-setup after configuring the first tuner, but does it also show up in the virtual, device filesystem at that point too. In other words, after you configure the first tuner in mythtv-setup, switch to a terminal window and see if 'ls /dev/dvb/adaptor2' shows both frontend0 and frontend1 devices.
  1. Yes a database backup would be fine. Email it to david at istwok dot net if you'd rather not upload it upload it here.

comment:4 in reply to:  3 Changed 4 years ago by paulh

Replying to gigem:

  1. I understand that it showed up in mythtv-setup after configuring the first tuner, but does it also show up in the virtual, device filesystem at that point too. In other words, after you configure the first tuner in mythtv-setup, switch to a terminal window and see if 'ls /dev/dvb/adaptor2' shows both frontend0 and frontend1 devices.

No it doesn't show as another device. If you have a one tuner card you only see one device even if you are using diseqc..

In this case you have a tuner with a single cable connected to it which runs to a switch with one output which connects to the tuner and two inputs which connect to two LNB's.

What diseqc does is send a signal down the cable to tell the switch which input to use.

This example is a really simple setup but diseqc devices can be addressable and cascaded which is why we in Myth we the diseqc tree to configure the diseqc devices which simply walks the tree and tells the DVB driver to send the correct commands before every channel change.

While I use a 4 port diseqc switch myself I've never used it with Myth only with standalone receivers so not sure how it's supposed to work with Myth. I would guess each LNB would show up as a separate card since you can only use one LNB at a time.

I would also check the diseqc_tree table is being populated properly after using mythtv-setup to set up diseqc devices.

comment:5 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

I can successfully run w_scan using something like:

w_scan --frontend s --satellite S13E0 -E0 --adapter 3 -D 1c > ~/channels.adapter3.diseqc1.conf

...and there's no new entries in /dev/dvb/adapter3 magically created, at least when I look at the filesystem. My old DB dumps available to david at istwok dot net should confirm this, too. (Apologies if anyone was led up the wrong path on that one.)

comment:6 Changed 4 years ago by gigem

Owner: changed from JYA to gigem
Status: infoneeded_newassigned

I'd already figured that out, but thanks for reporting back. I found a way to test diseqc configuration myself and know what the problems are. I'm now trying to find the best way to fix them.

Changed 4 years ago by gigem

Attachment: 12499-v1.patch added

comment:7 Changed 4 years ago by gigem

Status: assignedinfoneeded

Ian, please try 12499-v1.patch to see if it works for you. Note that the configuration of additional inputs is as I described earlier and not as mythtv-setup worked previously. You must add a new capturecard using the same device for each additional input.

comment:8 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Will this be in the overnight mythbuntu builds, as I don't build from source? Tried it once, didn't work out too well... Any other alternative I could try?

comment:9 Changed 4 years ago by David Engel <dengel@…>

In 030e798de92fed3512abaaf391978d8b545b0515/mythtv:

Attempt to fix configuration of diseqc inputs.

This was broken when cards and inputs were merged. Previously,
logical inputs were added to an existing, DVB-S card as needed. Now,
the user must explicitly add a new card using the same device for each
additional input.

Note that the current, input configuration is less than ideal. It
still keeps the idea of cards and inputs alive even though card and
input are now synonymous. This will all be fixed in time.

Refs #12499

comment:10 Changed 4 years ago by gigem

Okay. I'd hoped for you to test this before committing it, but I don't think it will make things any worse than they already were. I don't know how quickly it will show up in the mythbuntu builds.

comment:11 Changed 4 years ago by Karl Egly

You can see when the PPA was last updated at launchpad. Comparing the commit hash against master commits hints that Trusty and Vivid packages already contain that commit. For other versions you can use the second Mythbuntu recipe to build standard Ubuntu packages with a patch.

comment:12 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Tuning in mythtv-setup is now possible. However, whenever trying to watch anything in mythfrontend on these cards/inputs, mythbackend.log is showing occurrences of:

Sep  8 00:12:08 babylon mythbackend: mythbackend[8455]: E TVRecEvent diseqc.cpp:589 (Execute) DiSEqCDevTree: No root device tree node!
Sep  8 00:12:08 babylon mythbackend: mythbackend[8455]: E TVRecEvent recorders/dvbchannel.cpp:717 (Tune) DVBChan[9](/dev/dvb/adapter2/frontend0): Tune(): Failed to setup DiSEqC devices
Sep  8 00:12:08 babylon mythbackend: mythbackend[8455]: E TVRecEvent recorders/dtvchannel.cpp:309 (SetChannelByString) DTVChan[9](/dev/dvb/adapter2/frontend0): SetChannelByString(6422): Tuning to frequency.

comment:13 Changed 4 years ago by gigem

I need to see your database, specifically, the capturecard, diseqc_tree and diseqc_config tables.

comment:14 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

You should have access to a DB backup I just made...

comment:15 Changed 4 years ago by David Engel <dengel@…>

In 3eed126a1573af915d484e4476dd5e89b7b610d8/mythtv:

Use device and sourceid in the key for DVBChannel master.

Now that diseqc is configured with additional cards using the same
device, we need something besides just device name in the master_map.

Refs #12499

comment:16 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Initial - albeit very brief - testing has shown this is probably fixed. Will confirm in the next two or three days if the changes have completely resolved the defect.

(Now, of course, for the corresponding UI and documentation changes...)

comment:17 Changed 4 years ago by gigem

That's good to hear. There is one thing I'd like you to try if you haven't already done so. That is back to back recordings on different diseqc ports.

comment:18 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

I spoke way too soon, I'm afraid.

What works? Tuning in mythtv-setup. Live TV... until any scheduled recordings kick off, then everything going via the Diseqc fails. I'll attach appropriate logs as soon as I can.

Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Attachment: mythbackend.log.gz added

backend log with -v channel, record.

comment:19 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Log I've just attached includes a failed scheduled recording, plus attempts to switch Live TV through the day, including PiP, and then being left for a while to wait for the EIT scan to kick in. Once that happens, changing to a channel which needs the Diseqc fails. If you need more logging then please let me know.

comment:20 Changed 4 years ago by gigem

I'll check your new log tomorrow. In the meantime, can you try a couple of things. First, turn on the open on demand option for your dvb-s cards including the second diseqc ports. It's in the "Recording Options" section of "Capture Cards" in mythtv-setup. Second, turn the open on demand option back on if was before and change the input names for the second diseqc ports on your dvb-s cards. You'll need to do this in mysql with a command like the following:

update capturecard set inputname = 'DVBInput#2' where cardid in (a, b, c, ...);

Where 'a, b, c, ...' should be a comma separated list of the desired inputids. If I recall correctly from your last database dump, it would be '13, 14, 15, 16, 21, 22, 23, 24'.

comment:21 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

So far, with the update statement and enabling the open on demand option for the second tuner in each case, all has been fairly stable. EIT and recordings are working, as is live tv... More news as I have it.

comment:22 Changed 4 years ago by gigem

That's encouraging. If it keeps working, can you then undo the inputname change? That will help narrow down the code I need to fix.

comment:23 Changed 4 years ago by gigem

Ian, is it still working for you and have you had a chance to undo either of the changes to isolate the problem?

Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Attachment: mythbackend.log.1.gz added

backend log with -v channel, record. from 2015-09-23 to morning of 2015-09-24

Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

Attachment: mythbackend.log.2.gz added

backend logs from morning of 2015-09-24 to around 1250BST

comment:24 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

I've attached a couple more log files, hopefully with all the logging you need.

comment:25 Changed 4 years ago by gigem

Thanks, but which configs were used with which logs?

comment:26 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

These last two logs both used the same config; namely:

update capturecard set inputname = "DVBInput" where displayname in ("Hotbird 1", "Hotbird 2");

...so all the capturecard records had the field inputname set to the value "DVBInput". I couldn't get any noticeable difference regardless of this value.

For live TV, I could switch channels regardless. However, whilst watching Freesat X, I could not watch or record from Hotbird Y. Recording from Freesat X could also cause recordings from Freesat Y to fail even if no tuners were being used for live TV.

After sending these logs, I've had to remove the capture cards from mythtv-setup (which takes the input connections away, too), and rebuild everything with Freeview 1 & 2, and Freesat 1 & 2 only. If I add a fifth and sixth capturecard entry for Hotbird 1 & 2, recordings will fail.

comment:27 Changed 4 years ago by gigem

Let me make sure I understand. When all inpustnames are set to 'DVBInput', somethings don't work, correct? And when the Hotbird inputs had differnent inputnames, things did work, correct? Finally, this is all with open on demand turned off, correct?

comment:28 Changed 4 years ago by Ian Richardson <grandmastermarclar@…>

I didn't notice any discernable difference regardless of the inputname value. I haven't had enough opportunity to determine definitively whether the Open on demand and/or Active EIT flags made the slightest difference, either.

comment:29 Changed 4 years ago by dani@…

Hi, I am wondering if anything is going to be done to restore the 'killer' feature in MythTV where multiple LNBs can be used on a DiSEqC switch as well as cascading if necessary. In previous versions the additional LNB inputs branch under the DVB-S/S2 adapter separately making it very easy to configure from within mythtv-setup with multiple populated 4-port DiSEqC switches.

Part of the dump from a past working setup is the following:

--
-- Dumping data for table `cardinput`
--

INSERT INTO `cardinput` (`cardinputid`, `cardid`, `sourceid`, `inputname`, `externalcommand`, `changer_device`, `changer_model`, `tunechan`, `startchan`, `displayname`, `dishnet_eit`, `recpriority`, `quicktune`, `schedorder`, `livetvorder`) VALUES
(1, 1, 1, 'Composite 1', NULL, NULL, NULL, NULL, 'Please add', 'Bulsatcom', 0, 0, 0, 1, 1),
(2, 2, 1, 'Composite 1', NULL, NULL, NULL, NULL, 'Please add', 'Bulsatcom', 0, 0, 0, 2, 2),
(3, 3, 1, 'Composite 1', NULL, NULL, NULL, NULL, 'Please add', 'Bulsatcom', 0, 0, 0, 3, 3),
(4, 4, 2, 'DVBInput #1', NULL, NULL, NULL, NULL, 'Please add', 'Hotbird #1', 0, 0, 0, 4, 4),
(5, 5, 2, 'DVBInput #1', NULL, NULL, NULL, NULL, 'Please add', 'Hotbird #1', 0, 0, 0, 4, 4),
(6, 4, 3, 'DVBInput #2', NULL, NULL, NULL, NULL, 'Please add', 'Astra 19.2E #1', 0, 0, 0, 4, 4),
(7, 5, 3, 'DVBInput #2', NULL, NULL, NULL, NULL, 'Please add', 'Astra 19.2E #1', 0, 0, 0, 4, 4),
(8, 4, 4, 'DVBInput #3', NULL, NULL, NULL, NULL, 'Please add', 'Freesat - Sky #1', 0, 0, 0, 4, 4),
(9, 5, 4, 'DVBInput #3', NULL, NULL, NULL, NULL, 'Please add', 'Freesat - Sky #1', 0, 0, 0, 4, 4),
(10, 4, 5, 'DVBInput #4', NULL, NULL, NULL, NULL, 'Please add', 'Türksat #1', 0, 0, 0, 4, 4),
(11, 5, 5, 'DVBInput #4', NULL, NULL, NULL, NULL, 'Please add', 'Türksat #1', 0, 0, 0, 4, 4),
(12, 6, 2, 'DVBInput #1', NULL, NULL, NULL, NULL, 'Please add', 'Hotbird #2', 0, 0, 0, 6, 6),
(13, 7, 2, 'DVBInput #1', NULL, NULL, NULL, NULL, 'Please add', 'Hotbird #2', 0, 0, 0, 6, 6),
(14, 6, 3, 'DVBInput #2', NULL, NULL, NULL, NULL, 'Please add', 'Astra 19.2E #2', 0, 0, 0, 6, 6),
(15, 7, 3, 'DVBInput #2', NULL, NULL, NULL, NULL, 'Please add', 'Astra 19.2E #2', 0, 0, 0, 6, 6),
(16, 6, 4, 'DVBInput #3', NULL, NULL, NULL, NULL, 'Please add', 'Freesat - Sky #2', 0, 0, 0, 6, 6),
(17, 7, 4, 'DVBInput #3', NULL, NULL, NULL, NULL, 'Please add', 'Freesat - Sky #2', 0, 0, 0, 6, 6),
(18, 6, 5, 'DVBInput #4', NULL, NULL, NULL, NULL, 'Please add', 'Türksat #2', 0, 0, 0, 6, 6),
(19, 7, 5, 'DVBInput #4', NULL, NULL, NULL, NULL, 'Please add', 'Türksat #2', 0, 0, 0, 6, 6),
(20, 8, 2, 'DVBInput #1', NULL, NULL, NULL, NULL, 'Please add', 'Hotbird #3', 0, 0, 0, 8, 8),
(21, 9, 2, 'DVBInput #1', NULL, NULL, NULL, NULL, 'Please add', 'Hotbird #3', 0, 0, 0, 8, 8),
(22, 8, 3, 'DVBInput #2', NULL, NULL, NULL, NULL, 'Please add', 'Astra 19.2E #3', 0, 0, 0, 8, 8),
(23, 9, 3, 'DVBInput #2', NULL, NULL, NULL, NULL, 'Please add', 'Astra 19.2E #3', 0, 0, 0, 8, 8),
(24, 8, 4, 'DVBInput #3', NULL, NULL, NULL, NULL, 'Please add', 'Freesat -Sky #3', 0, 0, 0, 8, 8),
(25, 9, 4, 'DVBInput #3', NULL, NULL, NULL, NULL, 'Please add', 'Freesat -Sky #3', 0, 0, 0, 8, 8),
(26, 8, 5, 'DVBInput #4', NULL, NULL, NULL, NULL, 'Please add', 'Türksat #3', 0, 0, 0, 8, 8),
(27, 9, 5, 'DVBInput #4', NULL, NULL, NULL, NULL, 'Please add', 'Türksat #3', 0, 0, 0, 8, 8);

Merging card input with the capturecard table might represent an optimisation from a development standpoint but it is horrific for the end user. The strength of MythTV is its felixibility and ability to mix analogue and digital devices as allowing the end user to use it set it up to meet all his requirements. Few other systems can match that especially from a backend standpoint. I am not able to set up separate DVB device for each LNB as they show up as 'already used.' What can I do to solve this problem as I am stuck with setting up the backend as a result?

comment:30 Changed 4 years ago by gigem

This problem hasn't been forgotten. I just haven't had much (any) time for it lately. I'll have more time in a couple of weeks.

The merge of the card and input tables horse has already left the barn and won't be returning. IOW, there are way too many other, related changes that would have to be undone to even consider doing so.

I realize the input configuration is less than ideal. Actually, it was that way even before the more recent changes. That will be addressed eventually. However, I believe the configuration, as it currently exists, works as it needs to to properly setup the database. Furthermore, I believe the remaining problems lie in the recorder code and there are a (hopefully, small) number of fixes needed there to handle the new configuraton.

What I really need to address the remaining problems, besides time, is someone with a dedicated test setup who can turn around changes quickly and, preferably, is also capable of doing some debugging of the code on their own.

comment:31 Changed 4 years ago by Stuart Auchterlonie

Milestone: unknown0.28

comment:32 in reply to:  29 Changed 4 years ago by gigem

Replying to dani@…:

I am wondering if anything is going to be done to restore the 'killer' feature in MythTV where multiple LNBs can be used on a DiSEqC switch as well as cascading if necessary. In previous versions the additional LNB inputs branch under the DVB-S/S2 adapter separately making it very easy to configure from within mythtv-setup with multiple populated 4-port DiSEqC switches.

[...]

Merging card input with the capturecard table might represent an optimisation from a development standpoint but it is horrific for the end user. The strength of MythTV is its felixibility and ability to mix analogue and digital devices as allowing the end user to use it set it up to meet all his requirements. Few other systems can match that especially from a backend standpoint. I am not able to set up separate DVB device for each LNB as they show up as 'already used.' What can I do to solve this problem as I am stuck with setting up the backend as a result?

Following up since it appears there is still some confusion on how to configure diseqc after the card/input merge. Here's a very quick, high-level example of how to configure diseqc now.

In the "Capture Cards" section of mythtv-setup, create a new DVB card for the first input. Also configure all of the nodes in the diseqc tree at this time.

Next, in the "Input Connections" section of mythtv-setup, configure the rest of the information for the first input, including which diseqc leaf node this input should use.

Now, go back to the "Capture Cards" section and create another, new DVB card using the same device for the second input. Ignore the warning that the device is alread in use. The diseqc tree should already be configured since it is shared with the other card.

Finally, go back to the "Input Connections" section and configure the rest of the information for the second input.

Note that this only addresses the configuration of diseqc devices. Based on other user feedback, there are suspected problems with using the configuration. They are still being worked on. Please reply if you are able to help test and debug those problems. Any help in that area will be greatly appreciated.

comment:33 Changed 4 years ago by johnjmcclelland@…

I cannot get Diseqc setup with two tuners and two ports on each When will this be fixed and how will we know

comment:34 Changed 4 years ago by gigem

It will get fixed when someone with such hardware is willing to help test and debug the remaining problems. Can you help?

comment:35 Changed 4 years ago by mythtv@…

I finally have limited time this week to test this on my test system. What i have: 2x DVB-S2 tuner cards, connected to a DISEQC switch after the diseqc switch 2 different sat disches, one on Astra 19.8, one on Astra 28. Very soon i'll add Astra 23.5 After upgrading the Database i note that LNB2 is still visible in capturecard, but any connection is gone. What is the best way to proceed? Delete all capture cards and define anew?

comment:36 Changed 4 years ago by mythtv@…

Some remarks from initial testing (not happy, happy... ) Apparently - i could not yet reproduce to do other bugs in mythtv-setup - it is easy to delete all diseqc setup you did, without intending it. And testing setup takes a lot of patience, see later in my remarks

steps taken:

  1. delete all capture cards on the backend
  2. create new card (using adapter0) and define diseqc with 3 LNB (at the moment only first 2 in use)
  3. go to connections, create connection to astra1, and tuning works
  4. create new card (using adapter0 again), touch diseqc setup -> all diseqc setup is lost.

This should create a warning, and not simply delete all, which is very confusing and furthermore results in inconsistent database

  1. i re-did without touching diseqc setup for second card creation -> first LNB can still tune
  2. go to connection setup and create connection to source astra2. -> tuning does not work, and on xterm lots of complaints about missing diseqc setup.
  3. create new card, using adapter2. -> mythtv-setup hangs. I can see in the database the card has been created, but trying to enter the diseqc setup menu results in no response and no further reaction on input

Other important points:

a/ mythtv-setup is in cardinput very, very, very... slow on reaction. It is exteremely easy to do wrong things because it can take half a minute or longer for mythtv-setup to react on a key-press. This is especially true for card selection and entering of diseqc menu. I've waited several times for minutes on diseqc entry, and concluded mythtv-setup hangs at that point. No feedback, just no reaction anymore. Nothing on console output but that it cannot find diseqc tree for the card (yes, logical, as it was just created.... )

b/ It is apparently searching for a VBox. It finds that in a Virtual Machine (W7) i have running. What is this, what is it purpose, can it be hanging on attempted communication with this VBox?

This currrent state is a blocker for upgrade, as it is not possible with the available info to make a diseqc setup working.

Sorry if this sounds a bit sarcastic at times. Testing this is at the moment rather frustrating due to the very slow reaction/hangs of mythtv-setup.

comment:37 Changed 4 years ago by mythtv@…

quoting gigem from 3 weeks ago:

Now, go back to the "Capture Cards" section and create another, new DVB card using the same device for the second input. Ignore the warning that the device is alread in use. The diseqc tree should already be configured since it is shared with the other card.

This clearly does not work. (partial) dump of capturecard table:

MariaDB [mythconverg]> select cardid, parentid, videodevice, cardtype, hostname, diseqcid from capturecard where hostname = 'test-mythm' order by cardid; +--------+----------+-----------------------------+----------+------------+----------+ | cardid | parentid | videodevice | cardtype | hostname | diseqcid | +--------+----------+-----------------------------+----------+------------+----------+ | 15 | 0 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | 15 | | 16 | 15 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | 15 | | 17 | 0 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | NULL | | 18 | 17 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | 0 | | 19 | 0 | /dev/dvb/adapter2/frontend0 | DVB | test-mythm | NULL | | 20 | 19 | /dev/dvb/adapter2/frontend0 | DVB | test-mythm | 0 | +--------+----------+-----------------------------+----------+------------+----------+

And diseqc:

MariaDB [mythconverg]> select * from diseqc_tree; +----------+----------+---------+--------+--------------+-------------+--------------+----------------+----------------+-----------------+----------------+------------+------------+------------+-------------+---------+--------------+---------------+---------+ | diseqcid | parentid | ordinal | type | subtype | description | switch_ports | rotor_hi_speed | rotor_lo_speed | rotor_positions | lnb_lof_switch | lnb_lof_hi | lnb_lof_lo | cmd_repeat | lnb_pol_inv | address | scr_userband | scr_frequency | scr_pin | +----------+----------+---------+--------+--------------+-------------+--------------+----------------+----------------+-----------------+----------------+------------+------------+------------+-------------+---------+--------------+---------------+---------+ | 15 | NULL | 0 | switch | diseqc | Switch | 4 | 0 | 0 | | 0 | 0 | 0 | 1 | 0 | 16 | 0 | 1400 | -1 | | 16 | 15 | 0 | lnb | voltage_tone | LNB | 0 | 0 | 0 | | 11700000 | 10600000 | 9750000 | 1 | 0 | 0 | 0 | 1400 | -1 | | 17 | 15 | 1 | lnb | voltage_tone | LNB | 0 | 0 | 0 | | 11700000 | 10600000 | 9750000 | 1 | 0 | 0 | 0 | 1400 | -1 | | 18 | 15 | 2 | lnb | voltage_tone | LNB | 0 | 0 | 0 | | 11700000 | 10600000 | 9750000 | 1 | 0 | 0 | 0 | 1400 | -1 | +----------+----------+---------+--------+--------------+-------------+--------------+----------------+----------------+-----------------+----------------+------------+------------+------------+-------------+---------+--------------+---------------+---------+

comment:38 Changed 4 years ago by mythtv@…

And the last info from this test evening.

-- shutting down the virtual W7 made mythtv-setup much more responsive. It also provided proof that mythtv-setup was waiting on some timout and not actually hanging. No idea why this might be. What is a VBox?

The quote from gigem above gave me an idea. Manually editing capturecard table to add the right diseqcid into the second card definition on the same card, but for the second LNB. That works, and mythtv-setup is then suddenly able to tune on the second LNB.

Starting mythbackend immediately showed another problem: the backend tries to open the same adapter twice and fails on doing that. It does start, but with very regular complaints that it cannot open an adaptor because that adapter is already in use. This may have bad results for recording on the second LNB. I expect this to be a consequence of defining the same card 2x for different LNB. Should not the backend somehow know about this relationship?

comment:39 Changed 4 years ago by gigem

Please open a separate ticket for the sluggishness in mythtv-setup. It's not a new issue and it likely won't get looked at until other bugs are fixed. The new ticket will make sure it isn't forgotten.

Thanks for the new input regarding the diseqc issue. After a lot of trial and error, I was finally able to reproduce a failure that sounds like what your are seeing. I will try to fix it in the next few days.

comment:40 Changed 4 years ago by David Engel <dengel@…>

In 9df773ad3fc6b37e682666ca1fb4131e19fdc9c3/mythtv:

Fix saving of diseqcid in some situations.

When saving a new card, there are some situations where the
videodevice and hostname have not been saved yet. In those cases, we
do have a cardid, so use it too.

Refs #12499

comment:41 Changed 4 years ago by gigem

I believe this last commit fixes the case where the diseqcid is not saved correctly. At least, it does for the case I was able to find. This does not do anything about the opening twice issue. That is something I cannot test myself. I'd like to see a new, backend log with '-v general,record,channel' for that.

comment:42 Changed 4 years ago by David Engel <dengel@…>

In 0d5b81453f1eaa5edfd9d715a2a57245bfd0a7a3/mythtv:

Remove redundant DiSEqCDevTree::Store().

Since cardid now needs to be passed, there is no need for two versions
of DiSEqCDevTree::Store(). Also, update the ABI version.

Refs #12499

comment:43 Changed 4 years ago by mythtv@…

The diseqc handling seems to be solved. Will do more testing later. Delay between entering keystroke and respons can be 8 min or more. Will create separate ticket after some more testing on that aspect

mythbackend:

mythtv@test-mythm:~$ mythbackend -v general,record,channel 2016-02-23 23:43:42.473617 C mythbackend version: master [v0.28-pre-3614-g0d5b814] www.mythtv.org 2016-02-23 23:43:42.473869 C Qt version: compile: 5.4.1, runtime: 5.4.1 2016-02-23 23:43:42.473893 N Enabled verbose msgs: general record channel 2016-02-23 23:43:42.473959 N Setting Log Level to LOG_INFO 2016-02-23 23:43:42.487881 I Added logging to the console 2016-02-23 23:43:42.489481 I Setup Interrupt handler 2016-02-23 23:43:42.489522 I Setup Terminated handler 2016-02-23 23:43:42.489542 I Setup Segmentation fault handler 2016-02-23 23:43:42.489566 I Setup Aborted handler 2016-02-23 23:43:42.489584 I Setup Bus error handler 2016-02-23 23:43:42.489610 I Setup Floating point exception handler 2016-02-23 23:43:42.489629 I Setup Illegal instruction handler 2016-02-23 23:43:42.489662 I Setup Real-time signal 0 handler 2016-02-23 23:43:42.489690 I Setup Hangup handler 2016-02-23 23:43:42.490571 N Using runtime prefix = /usr/local 2016-02-23 23:43:42.490595 N Using configuration directory = /home/mythtv/.mythtv 2016-02-23 23:43:42.491027 I Assumed character encoding: en_US.UTF-8 2016-02-23 23:43:42.494061 N Empty LocalHostName?. 2016-02-23 23:43:42.494113 I Using localhost value of test-mythm 2016-02-23 23:43:42.551738 I Testing network connectivity to 'riva' 2016-02-23 23:43:42.554513 I Starting process manager 2016-02-23 23:43:42.557066 I Starting process signal handler 2016-02-23 23:43:42.560020 I Starting IO manager (read) 2016-02-23 23:43:42.563282 I Starting IO manager (write) 2016-02-23 23:43:42.618848 N Setting QT default locale to en_NL 2016-02-23 23:43:42.618959 I Current locale en_NL 2016-02-23 23:43:42.619255 E No locale defaults file for en_NL, skipping 2016-02-23 23:43:42.621367 I Loading en_gb translation for module mythfrontend 2016-02-23 23:43:42.630422 I Current MythTV Schema Version (DBSchemaVer): 1343 2016-02-23 23:43:42.631319 I Loading en_gb translation for module mythfrontend 2016-02-23 23:43:42.638079 N MythBackend?: Starting up as the master server. 2016-02-23 23:43:42.668620 I TVRec[23]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:43:42.668658 I TVRec[23]: GetStartChannel?(23) 2016-02-23 23:43:42.669335 I TVRec[23]: Start channel: 12. 2016-02-23 23:43:42.669402 I TVRec[23]: CreateChannel?(12) 2016-02-23 23:43:42.698943 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-23 23:43:42.747518 I ChannelBase?[23]: Input #23: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:43:42.761065 I DVBChan[23](/dev/dvb/adapter0/frontend0): Using DVB card /dev/dvb/adapter0/frontend0, with frontend 'STV090x Multistandard'. 2016-02-23 23:43:42.767891 I DVBChan[23](/dev/dvb/adapter0/frontend0): Requested DVB channel is on non-SCR system 2016-02-23 23:43:42.767928 I DiSEqCDevTree: Changing LNB voltage to 18V 2016-02-23 23:43:43.768377 I DiSEqCDevTree: Resetting DiSEqC Bus 2016-02-23 23:43:43.768414 I DiSEqCDevTree: Sending DiSEqC Command: e0 0 0 2016-02-23 23:43:43.985874 I ChannelBase?[23]: Input #23: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:43:43.987096 I DTVChan[23](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): 2016-02-23 23:43:43.993300 W DVBChan[23](/dev/dvb/adapter0/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-23 23:43:43.993422 I DVBChan[23](/dev/dvb/adapter0/frontend0): 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:43:43.994202 I DVBChan[23](/dev/dvb/adapter0/frontend0): Old Params: 0 auto a auto auto a a auto a v fec: auto msys: UNDEFINED rolloff: 0.35 New Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:43:43.994225 I DVBChan[23](/dev/dvb/adapter0/frontend0): Tune(): Tuning to 12551500kHz 2016-02-23 23:43:43.995212 I DiSEqCDevTree: Changing LNB voltage to 13V 2016-02-23 23:43:44.010955 I DiSEqCDevTree: Changing to DiSEqC switch port 1/4 2016-02-23 23:43:44.011087 I DiSEqCDevTree: Sending DiSEqC Command: e0 10 38 f1 2016-02-23 23:43:44.305413 I DVBChan: wait_for_backend: Status: Signal,Carrier,FEC Stable,Sync,Lock, 2016-02-23 23:43:44.305468 I DVBChan[23](/dev/dvb/adapter0/frontend0): Tune(): Frequency tuning successful. 2016-02-23 23:43:44.305485 I DTVChan[23](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): success 2016-02-23 23:43:44.321264 I TVRec[23]: SetFlags?(RunMainLoop?,) -> RunMainLoop?, @ tv_rec.cpp:1278 2016-02-23 23:43:44.321302 I TVRec[23]: ClearFlags?(ExitPlayer?,FinishRecording?,) -> RunMainLoop?, @ tv_rec.cpp:1279 2016-02-23 23:43:44.361945 I TVRec[24]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:43:44.361996 I TVRec[24]: GetStartChannel?(24) 2016-02-23 23:43:44.362607 I TVRec[24]: Start channel: 12. 2016-02-23 23:43:44.362656 I TVRec[24]: CreateChannel?(12) 2016-02-23 23:43:44.363400 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-23 23:43:44.418055 I ChannelBase?[24]: Input #24: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:43:44.419023 I DVBChan[23](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-23 23:43:44.467876 I ChannelBase?[24]: Input #24: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:43:44.469015 I DTVChan[24](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): 2016-02-23 23:43:44.473782 W DVBChan[24](/dev/dvb/adapter0/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-23 23:43:44.473847 I DVBChan[24](/dev/dvb/adapter0/frontend0): 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:43:44.474645 I DVBChan[24](/dev/dvb/adapter0/frontend0): tuning on slave channel 2016-02-23 23:43:44.475799 I DVBChan[23](/dev/dvb/adapter0/frontend0): Old Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 New Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:43:44.475865 I DVBChan[23](/dev/dvb/adapter0/frontend0): Tune(): Frequency tuning successful. 2016-02-23 23:43:44.475893 I DTVChan[24](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): success 2016-02-23 23:43:44.479086 I TVRec[24]: SetFlags?(RunMainLoop?,) -> RunMainLoop?, @ tv_rec.cpp:1278 2016-02-23 23:43:44.479128 I TVRec[24]: ClearFlags?(ExitPlayer?,FinishRecording?,) -> RunMainLoop?, @ tv_rec.cpp:1279 2016-02-23 23:43:44.485363 I TVRec[25]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:43:44.485402 I TVRec[25]: GetStartChannel?(25) 2016-02-23 23:43:44.486385 I TVRec[25]: Start channel: 201. 2016-02-23 23:43:44.486482 I TVRec[25]: CreateChannel?(201) 2016-02-23 23:43:44.487586 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-23 23:43:44.524281 I ChannelBase?[25]: Input #25: 'DVBInput' schan(201) sourceid(9) 2016-02-23 23:43:44.525479 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.575605 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.625749 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.675841 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.725997 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.776115 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.826252 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.876341 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.926468 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:44.976558 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.026700 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.076795 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.126925 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.177023 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.227150 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.277249 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.327373 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.377479 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.427609 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.477707 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.477723 E DVBChan[25](/dev/dvb/adapter0/frontend0): Failed to open DVB frontend device due to fatal error or too many attempts. 2016-02-23 23:43:45.477740 E ChannelBase?: CreateChannel?() Error: Failed to open device /dev/dvb/adapter0/frontend0 2016-02-23 23:43:45.478626 I DVBChan[25](/dev/dvb/adapter0/frontend0): Closing DVB channel 2016-02-23 23:43:45.479685 I TVRec[25]: SetFlags?(Errored,) -> Errored, @ tv_rec.cpp:139 2016-02-23 23:43:45.479720 E Problem with capture cards. Card 25 failed init 2016-02-23 23:43:45.481080 I TVRec[26]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:43:45.481114 I TVRec[26]: GetStartChannel?(26) 2016-02-23 23:43:45.481769 I TVRec[26]: Start channel: 201. 2016-02-23 23:43:45.481821 I TVRec[26]: CreateChannel?(201) 2016-02-23 23:43:45.482615 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-23 23:43:45.516862 I ChannelBase?[26]: Input #26: 'DVBInput' schan(201) sourceid(9) 2016-02-23 23:43:45.518046 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.568214 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.618310 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.668467 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.718563 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.768721 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.818816 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.868995 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.919098 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:45.969252 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.019358 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.069511 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.119714 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.169928 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.220134 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.270308 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.320509 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.370679 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.420877 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.471063 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:43:46.471086 E DVBChan[26](/dev/dvb/adapter0/frontend0): Failed to open DVB frontend device due to fatal error or too many attempts. 2016-02-23 23:43:46.471102 E ChannelBase?: CreateChannel?() Error: Failed to open device /dev/dvb/adapter0/frontend0 2016-02-23 23:43:46.472031 I DVBChan[26](/dev/dvb/adapter0/frontend0): Closing DVB channel 2016-02-23 23:43:46.472888 I TVRec[26]: SetFlags?(Errored,) -> Errored, @ tv_rec.cpp:139 2016-02-23 23:43:46.472914 E Problem with capture cards. Card 26 failed init 2016-02-23 23:43:46.474031 I TVRec[27]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:43:46.474062 I TVRec[27]: GetStartChannel?(27) 2016-02-23 23:43:46.474755 I TVRec[27]: Start channel: 12. 2016-02-23 23:43:46.474893 I TVRec[27]: CreateChannel?(12) 2016-02-23 23:44:16.191139 I DVBChan[0](/dev/dvb/adapter2/frontend0): Opening DVB channel 2016-02-23 23:44:16.236337 I ChannelBase?[27]: Input #27: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:44:31.101084 I DVBChan[27](/dev/dvb/adapter2/frontend0): Using DVB card /dev/dvb/adapter2/frontend0, with frontend 'STB0899 Multistandard'. 2016-02-23 23:44:31.107933 I DVBChan[27](/dev/dvb/adapter2/frontend0): Requested DVB channel is on non-SCR system 2016-02-23 23:44:31.107985 I DiSEqCDevTree: Changing LNB voltage to 18V 2016-02-23 23:44:33.908111 E DiSEqCDevTree: FE_SET_VOLTAGE failed

eno: Input/output error (5)

2016-02-23 23:44:34.908265 I DiSEqCDevTree: Resetting DiSEqC Bus 2016-02-23 23:44:34.908304 I DiSEqCDevTree: Sending DiSEqC Command: e0 0 0 2016-02-23 23:44:39.218113 E DiSEqCDevTree: send_diseqc FE_DISEQC_SEND_MASTER_CMD failed

eno: Connection timed out (110)

2016-02-23 23:44:39.218143 E DiSEqCDevTree: DiSEqC command failed

eno: Connection timed out (110)

2016-02-23 23:44:39.218165 E DiSEqCDevTree: DiSEqC reset failed

eno: Connection timed out (110)

2016-02-23 23:44:39.264035 I ChannelBase?[27]: Input #27: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:44:39.265119 I DTVChan[27](/dev/dvb/adapter2/frontend0): SetChannelByString?(12): 2016-02-23 23:44:39.269225 W DVBChan[27](/dev/dvb/adapter2/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-23 23:44:39.269288 I DVBChan[27](/dev/dvb/adapter2/frontend0): 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:44:39.270045 I DVBChan[27](/dev/dvb/adapter2/frontend0): Old Params: 0 auto a auto auto a a auto a v fec: auto msys: UNDEFINED rolloff: 0.35 New Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:44:39.270069 I DVBChan[27](/dev/dvb/adapter2/frontend0): Tune(): Tuning to 12551500kHz 2016-02-23 23:44:39.270836 I DiSEqCDevTree: Changing LNB voltage to 13V 2016-02-23 23:44:42.072114 E DiSEqCDevTree: FE_SET_VOLTAGE failed

eno: Input/output error (5)

2016-02-23 23:44:44.872123 E DiSEqCDevTree: FE_SET_TONE failed

eno: Input/output error (5)

2016-02-23 23:44:44.887296 I DiSEqCDevTree: Changing to DiSEqC switch port 1/4 2016-02-23 23:44:44.887335 I DiSEqCDevTree: Sending DiSEqC Command: e0 10 38 f1 2016-02-23 23:44:49.191117 E DiSEqCDevTree: send_diseqc FE_DISEQC_SEND_MASTER_CMD failed

eno: Connection timed out (110)

2016-02-23 23:44:49.191149 E DiSEqCDevTree: DiSEqC command failed

eno: Connection timed out (110)

2016-02-23 23:44:49.191174 E DVBChan[27](/dev/dvb/adapter2/frontend0): Tune(): Failed to setup DiSEqC devices 2016-02-23 23:44:49.191189 E DTVChan[27](/dev/dvb/adapter2/frontend0): SetChannelByString?(12): Tuning to frequency. 2016-02-23 23:44:49.191202 I DTVChan[27](/dev/dvb/adapter2/frontend0): SetChannelByString?(12): failure 2016-02-23 23:44:49.195135 I ChannelBase?[27]: Found startchannel '12' 2016-02-23 23:44:49.198170 I TVRec[27]: SetFlags?(RunMainLoop?,) -> RunMainLoop?, @ tv_rec.cpp:1278 2016-02-23 23:44:49.198216 I TVRec[27]: ClearFlags?(ExitPlayer?,FinishRecording?,) -> RunMainLoop?, @ tv_rec.cpp:1279 2016-02-23 23:44:49.235455 I TVRec[28]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:44:49.235489 I TVRec[28]: GetStartChannel?(28) 2016-02-23 23:44:49.236124 I TVRec[28]: Start channel: 12. 2016-02-23 23:44:49.236174 I TVRec[28]: CreateChannel?(12) 2016-02-23 23:44:49.236919 I DVBChan[0](/dev/dvb/adapter2/frontend0): Opening DVB channel 2016-02-23 23:44:49.287901 I ChannelBase?[28]: Input #28: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:44:49.289320 I DVBChan[27](/dev/dvb/adapter2/frontend0): Opening DVB channel 2016-02-23 23:44:49.336447 I ChannelBase?[28]: Input #28: 'DVBInput' schan(12) sourceid(8) 2016-02-23 23:44:49.337628 I DTVChan[28](/dev/dvb/adapter2/frontend0): SetChannelByString?(12): 2016-02-23 23:44:49.342350 W DVBChan[28](/dev/dvb/adapter2/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-23 23:44:49.342412 I DVBChan[28](/dev/dvb/adapter2/frontend0): 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:44:49.343088 I DVBChan[28](/dev/dvb/adapter2/frontend0): tuning on slave channel 2016-02-23 23:44:49.343856 I DVBChan[27](/dev/dvb/adapter2/frontend0): Old Params: 0 auto a auto auto a a auto a v fec: auto msys: UNDEFINED rolloff: 0.35 New Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-23 23:44:49.343879 I DVBChan[27](/dev/dvb/adapter2/frontend0): Tune(): Tuning to 12551500kHz 2016-02-23 23:44:49.343985 I DiSEqCDevTree: Changing LNB voltage to 13V 2016-02-23 23:44:52.144128 E DiSEqCDevTree: FE_SET_VOLTAGE failed

eno: Input/output error (5)

2016-02-23 23:44:54.944071 E DiSEqCDevTree: FE_SET_TONE failed

eno: Input/output error (5)

2016-02-23 23:44:54.959181 I DiSEqCDevTree: Changing to DiSEqC switch port 1/4 2016-02-23 23:44:54.959207 I DiSEqCDevTree: Sending DiSEqC Command: e0 10 38 f1 2016-02-23 23:44:59.262127 E DiSEqCDevTree: send_diseqc FE_DISEQC_SEND_MASTER_CMD failed

eno: Connection timed out (110)

2016-02-23 23:44:59.262159 E DiSEqCDevTree: DiSEqC command failed

eno: Connection timed out (110)

2016-02-23 23:44:59.262185 E DVBChan[27](/dev/dvb/adapter2/frontend0): Tune(): Failed to setup DiSEqC devices 2016-02-23 23:44:59.262207 E DTVChan[28](/dev/dvb/adapter2/frontend0): SetChannelByString?(12): Tuning to frequency. 2016-02-23 23:44:59.262219 I DTVChan[28](/dev/dvb/adapter2/frontend0): SetChannelByString?(12): failure 2016-02-23 23:44:59.265814 I ChannelBase?[28]: Found startchannel '12' 2016-02-23 23:44:59.274654 I TVRec[29]: Start channel: 201. 2016-02-23 23:44:59.274755 I TVRec[29]: CreateChannel?(201) 2016-02-23 23:44:59.276148 I DVBChan[0](/dev/dvb/adapter2/frontend0): Opening DVB channel 2016-02-23 23:44:59.322514 I ChannelBase?[29]: Input #29: 'DVBInput' schan(201) sourceid(9) 2016-02-23 23:44:59.323653 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.373770 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.423903 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.474009 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.524142 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.574239 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.624360 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.674453 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.724573 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.774667 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.824786 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.874940 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.925071 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:44:59.975167 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.025302 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.075451 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.125581 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.175677 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.225796 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.275898 W DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.275916 E DVBChan[29](/dev/dvb/adapter2/frontend0): Failed to open DVB frontend device due to fatal error or too many attempts. 2016-02-23 23:45:00.275931 E ChannelBase?: CreateChannel?() Error: Failed to open device /dev/dvb/adapter2/frontend0 2016-02-23 23:45:00.276933 I DVBChan[29](/dev/dvb/adapter2/frontend0): Closing DVB channel 2016-02-23 23:45:00.277963 I TVRec[29]: SetFlags?(Errored,) -> Errored, @ tv_rec.cpp:139 2016-02-23 23:45:00.278003 E Problem with capture cards. Card 29 failed init 2016-02-23 23:45:00.279130 I TVRec[30]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-23 23:45:00.279164 I TVRec[30]: GetStartChannel?(30) 2016-02-23 23:45:00.279786 I TVRec[30]: Start channel: 201. 2016-02-23 23:45:00.279841 I TVRec[30]: CreateChannel?(201) 2016-02-23 23:45:00.280672 I DVBChan[0](/dev/dvb/adapter2/frontend0): Opening DVB channel 2016-02-23 23:45:00.315386 I ChannelBase?[30]: Input #30: 'DVBInput' schan(201) sourceid(9) 2016-02-23 23:45:00.316735 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.366908 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.417092 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.467266 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.517388 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.567548 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.617646 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.667819 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.717917 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.768073 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.818170 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.868346 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.918608 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:00.968807 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.018922 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.069096 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.119299 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.169514 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.219716 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.269887 W DVBChan[30](/dev/dvb/adapter2/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-23 23:45:01.269910 E DVBChan[30](/dev/dvb/adapter2/frontend0): Failed to open DVB frontend device due to fatal error or too many attempts. 2016-02-23 23:45:01.269927 E ChannelBase?: CreateChannel?() Error: Failed to open device /dev/dvb/adapter2/frontend0 2016-02-23 23:45:01.270872 I DVBChan[30](/dev/dvb/adapter2/frontend0): Closing DVB channel 2016-02-23 23:45:01.271744 I TVRec[30]: SetFlags?(Errored,) -> Errored, @ tv_rec.cpp:139 2016-02-23 23:45:01.271771 E Problem with capture cards. Card 30 failed init 2016-02-23 23:45:01.284300 I Found 5 distinct programid authorities 2016-02-23 23:45:01.288150 I New static DB connectionSchedCon 2016-02-23 23:45:01.294293 I Registering HouseKeeperTask? 'LogClean?'. 2016-02-23 23:45:01.294415 I Registering HouseKeeperTask? 'DBCleanup'. 2016-02-23 23:45:01.294472 I Registering HouseKeeperTask? 'ThemeUpdateNotifications?'. 2016-02-23 23:45:01.294617 I Registering HouseKeeperTask? 'RecordedArtworkUpdate?'. 2016-02-23 23:45:01.298065 I Registering HouseKeeperTask? 'MythFillDB'. 2016-02-23 23:45:01.299832 I Registering HouseKeeperTask? 'JobQueueRecover?'. 2016-02-23 23:45:01.299895 I Registering HouseKeeperTask? 'HardwareProfiler?'. 2016-02-23 23:45:01.304027 I Queueing HouseKeeperTask? 'ThemeUpdateNotifications?'. 2016-02-23 23:45:01.304055 I Starting HouseKeeper?. 2016-02-23 23:45:01.378129 I Listening on TCP 127.0.0.1:6544 2016-02-23 23:45:01.378324 I Listening on TCP 192.168.1.47:6544 2016-02-23 23:45:01.378449 I Listening on TCP [::1]:6544 2016-02-23 23:45:01.378525 I Listening on TCP [2001:610:73e:0:20e:7fff:fe24:32cb]:6544 2016-02-23 23:45:01.379335 I Listening on TCP [fe80::20e:7fff:fe24:32cb%eth0]:6544 2016-02-23 23:45:01.379561 I Listening on TCP 127.0.0.1:6554 2016-02-23 23:45:01.379631 I Listening on TCP 192.168.1.47:6554 2016-02-23 23:45:01.379720 I Listening on TCP [::1]:6554 2016-02-23 23:45:01.379822 I Listening on TCP [2001:610:73e:0:20e:7fff:fe24:32cb]:6554 2016-02-23 23:45:01.380030 I Listening on TCP [fe80::20e:7fff:fe24:32cb%eth0]:6554 2016-02-23 23:45:01.385233 I Listening on TCP 127.0.0.1:6549 2016-02-23 23:45:01.385491 I Listening on TCP 192.168.1.47:6549 2016-02-23 23:45:01.385573 I Listening on TCP [::1]:6549 2016-02-23 23:45:01.385642 I Listening on TCP [2001:610:73e:0:20e:7fff:fe24:32cb]:6549 2016-02-23 23:45:01.385769 I Listening on TCP [fe80::20e:7fff:fe24:32cb%eth0]:6549 2016-02-23 23:45:04.310814 I Reschedule requested for MATCH 0 0 0 - SchedulerInit? 2016-02-23 23:45:06.570244 I Main::Registering HttpStatus? Extension 2016-02-23 23:45:06.573219 I Listening on TCP 127.0.0.1:6543 2016-02-23 23:45:06.573297 I Listening on TCP 192.168.1.47:6543 2016-02-23 23:45:06.573367 I Listening on TCP [::1]:6543 2016-02-23 23:45:06.573435 I Listening on TCP [2001:610:73e:0:20e:7fff:fe24:32cb]:6543 2016-02-23 23:45:06.573553 I Listening on TCP [fe80::20e:7fff:fe24:32cb%eth0]:6543 2016-02-23 23:45:06.582111 N AutoExpire?: CalcParams?(): Max required Free Space: 50.0 GB w/freq: 15 min 2016-02-23 23:45:07.897455 I Scheduled 26 items in 3.6 = 3.49 match + 0.01 check + 0.05 place 2016-02-23 23:45:07.921047 I Scheduler: Seem to be woken up by USER C2016-02-23 23:45:09.702865 C Received Interrupt: Code 128, PID 0, UID 0, Value 0x00000000 2016-02-23 23:45:09.704993 N MythBackend? exiting 2016-02-23 23:45:15.571438 I TVRec[23]: ClearFlags?(RunMainLoop?,) -> 0x0 @ tv_rec.cpp:195 2016-02-23 23:45:15.571532 I TVRec[23]: TeardownAll? 2016-02-23 23:45:15.575842 I TVRec[23]: TeardownRecorder?(kFlagKillRec)

comment:44 Changed 4 years ago by gigem

If you build from source and don't need vbox support, then use --disable-vbox when you run configure. That will eliminate the long delays in mythtv-setup.

Okay, now that a few other bugs have been fixed, please try the following. Change capturecard.inputname to be different for each set of virtual cards using the same device. For example, if you have 3 diseqc ports connected to /dev/dvb/adapter0/frontend0, set inputname for all virtual tuners on port 1 to 'DVBInput' (they probably already are). Then set thos on port 2 to 'DVBInput#2' and those on port 3 to 'DVBInput#3'. mythtv-setup doesn't currently support that, so you'll have to do it in mysql.

I'm not that familiar with the recorder code and how it arbitrates between the virtual tuners sharing the same physical card. The old code used to give each set of tuners a different inputname, so I'm hoping this weill work. If it doesn't, I'll have to dig deeper into that code.

comment:45 Changed 4 years ago by David Engel <dengel@…>

In 9a987098b50a94c497da3195aef86af1520a0190/mythtv:

Fix saving of diseqcid in some situations.

When saving a new card, there are some situations where the
videodevice and hostname have not been saved yet. In those cases, we
do have a cardid, so use it too.

Refs #12499

(cherry picked from commit 9df773ad3fc6b37e682666ca1fb4131e19fdc9c3)

comment:46 Changed 4 years ago by mythtv@…

+--------+-----------------------------+----------+------------+------------+----------+ | cardid | videodevice | cardtype | hostname | inputname | diseqcid | +--------+-----------------------------+----------+------------+------------+----------+ | 5 | /dev/dvb/adapter0/frontend0 | DVB | ziggo2 | DVBInput | 0 | | 6 | /dev/dvb/adapter0/frontend0 | DVB | ziggo2 | DVBInput | 0 | | 23 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | DVBInput | 23 | | 24 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | DVBInput | 23 | | 25 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | DVBInput#2 | 23 | | 26 | /dev/dvb/adapter0/frontend0 | DVB | test-mythm | DVBInput#2 | 23 | | 27 | /dev/dvb/adapter2/frontend0 | DVB | test-mythm | DVBInput | 27 | | 28 | /dev/dvb/adapter2/frontend0 | DVB | test-mythm | DVBInput | 27 | | 29 | /dev/dvb/adapter2/frontend0 | DVB | test-mythm | DVBInput#2 | 27 | | 30 | /dev/dvb/adapter2/frontend0 | DVB | test-mythm | DVBInput#2 | 27 | +--------+-----------------------------+----------+------------+------------+----------+

mythtv@test-mythm:~$ mythbackend -v general,record,channel 2016-02-24 15:51:02.364356 C mythbackend version: master [v0.28-pre-3614-g0d5b814] www.mythtv.org 2016-02-24 15:51:02.364614 C Qt version: compile: 5.4.1, runtime: 5.4.1 2016-02-24 15:51:02.364636 N Enabled verbose msgs: general record channel 2016-02-24 15:51:02.364704 N Setting Log Level to LOG_INFO 2016-02-24 15:51:02.377869 I Added logging to the console 2016-02-24 15:51:02.379337 I Setup Interrupt handler 2016-02-24 15:51:02.379382 I Setup Terminated handler 2016-02-24 15:51:02.379401 I Setup Segmentation fault handler 2016-02-24 15:51:02.379425 I Setup Aborted handler 2016-02-24 15:51:02.379443 I Setup Bus error handler 2016-02-24 15:51:02.379467 I Setup Floating point exception handler 2016-02-24 15:51:02.379485 I Setup Illegal instruction handler 2016-02-24 15:51:02.379519 I Setup Real-time signal 0 handler 2016-02-24 15:51:02.379546 I Setup Hangup handler 2016-02-24 15:51:02.380348 N Using runtime prefix = /usr/local 2016-02-24 15:51:02.380368 N Using configuration directory = /home/mythtv/.mythtv 2016-02-24 15:51:02.380746 I Assumed character encoding: en_US.UTF-8 2016-02-24 15:51:02.383627 N Empty LocalHostName?. 2016-02-24 15:51:02.383679 I Using localhost value of test-mythm 2016-02-24 15:51:02.440699 I Testing network connectivity to 'riva' 2016-02-24 15:51:02.444338 I Starting process manager 2016-02-24 15:51:02.444539 I Starting process signal handler 2016-02-24 15:51:02.444728 I Starting IO manager (read) 2016-02-24 15:51:02.444887 I Starting IO manager (write) 2016-02-24 15:51:02.506313 N Setting QT default locale to en_NL 2016-02-24 15:51:02.506470 I Current locale en_NL 2016-02-24 15:51:02.506849 E No locale defaults file for en_NL, skipping 2016-02-24 15:51:02.510262 I Loading en_gb translation for module mythfrontend 2016-02-24 15:51:02.520176 I Current MythTV Schema Version (DBSchemaVer): 1343 2016-02-24 15:51:02.521142 I Loading en_gb translation for module mythfrontend 2016-02-24 15:51:02.528237 N MythBackend?: Starting up as the master server. 2016-02-24 15:51:02.559083 I TVRec[23]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-24 15:51:02.559122 I TVRec[23]: GetStartChannel?(23) 2016-02-24 15:51:02.559812 I TVRec[23]: Start channel: 12. 2016-02-24 15:51:02.559874 I TVRec[23]: CreateChannel?(12) 2016-02-24 15:51:02.589021 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-24 15:51:02.640297 I ChannelBase?[23]: Input #23: 'DVBInput' schan(12) sourceid(8) 2016-02-24 15:51:02.653848 I DVBChan[23](/dev/dvb/adapter0/frontend0): Using DVB card /dev/dvb/adapter0/frontend0, with frontend 'STV090x Multistandard'. 2016-02-24 15:51:02.660532 I DVBChan[23](/dev/dvb/adapter0/frontend0): Requested DVB channel is on non-SCR system 2016-02-24 15:51:02.660571 I DiSEqCDevTree: Changing LNB voltage to 18V 2016-02-24 15:51:03.661041 I DiSEqCDevTree: Resetting DiSEqC Bus 2016-02-24 15:51:03.661085 I DiSEqCDevTree: Sending DiSEqC Command: e0 0 0 2016-02-24 15:51:03.877971 I ChannelBase?[23]: Input #23: 'DVBInput' schan(12) sourceid(8) 2016-02-24 15:51:03.879235 I DTVChan[23](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): 2016-02-24 15:51:03.885392 W DVBChan[23](/dev/dvb/adapter0/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-24 15:51:03.885514 I DVBChan[23](/dev/dvb/adapter0/frontend0): 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-24 15:51:03.886286 I DVBChan[23](/dev/dvb/adapter0/frontend0): Old Params: 0 auto a auto auto a a auto a v fec: auto msys: UNDEFINED rolloff: 0.35 New Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-24 15:51:03.886309 I DVBChan[23](/dev/dvb/adapter0/frontend0): Tune(): Tuning to 12551500kHz 2016-02-24 15:51:03.887351 I DiSEqCDevTree: Changing LNB voltage to 13V 2016-02-24 15:51:03.903080 I DiSEqCDevTree: Changing to DiSEqC switch port 1/4 2016-02-24 15:51:03.903181 I DiSEqCDevTree: Sending DiSEqC Command: e0 10 38 f1 2016-02-24 15:51:04.352301 I DVBChan: wait_for_backend: Status: Signal,Carrier,FEC Stable,Sync,Lock, 2016-02-24 15:51:04.352342 I DVBChan[23](/dev/dvb/adapter0/frontend0): Tune(): Frequency tuning successful. 2016-02-24 15:51:04.352367 I DTVChan[23](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): success 2016-02-24 15:51:04.365289 I TVRec[23]: SetFlags?(RunMainLoop?,) -> RunMainLoop?, @ tv_rec.cpp:1278 2016-02-24 15:51:04.365327 I TVRec[23]: ClearFlags?(ExitPlayer?,FinishRecording?,) -> RunMainLoop?, @ tv_rec.cpp:1279 2016-02-24 15:51:04.404104 I TVRec[24]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-24 15:51:04.404139 I TVRec[24]: GetStartChannel?(24) 2016-02-24 15:51:04.404791 I TVRec[24]: Start channel: 12. 2016-02-24 15:51:04.404839 I TVRec[24]: CreateChannel?(12) 2016-02-24 15:51:04.405591 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-24 15:51:04.451534 I ChannelBase?[24]: Input #24: 'DVBInput' schan(12) sourceid(8) 2016-02-24 15:51:04.452557 I DVBChan[23](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-24 15:51:04.497502 I ChannelBase?[24]: Input #24: 'DVBInput' schan(12) sourceid(8) 2016-02-24 15:51:04.498586 I DTVChan[24](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): 2016-02-24 15:51:04.503367 W DVBChan[24](/dev/dvb/adapter0/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-24 15:51:04.503425 I DVBChan[24](/dev/dvb/adapter0/frontend0): 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-24 15:51:04.504102 I DVBChan[24](/dev/dvb/adapter0/frontend0): tuning on slave channel 2016-02-24 15:51:04.504872 I DVBChan[23](/dev/dvb/adapter0/frontend0): Old Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 New Params: 12551500 qpsk a auto auto a a auto a v fec: 5/6 msys: DVB-S rolloff: 0.35 2016-02-24 15:51:04.504913 I DVBChan[23](/dev/dvb/adapter0/frontend0): Tune(): Frequency tuning successful. 2016-02-24 15:51:04.504929 I DTVChan[24](/dev/dvb/adapter0/frontend0): SetChannelByString?(12): success 2016-02-24 15:51:04.505470 I TVRec[24]: SetFlags?(RunMainLoop?,) -> RunMainLoop?, @ tv_rec.cpp:1278 2016-02-24 15:51:04.505525 I TVRec[24]: ClearFlags?(ExitPlayer?,FinishRecording?,) -> RunMainLoop?, @ tv_rec.cpp:1279 2016-02-24 15:51:04.512149 I TVRec[25]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-24 15:51:04.512184 I TVRec[25]: GetStartChannel?(25) 2016-02-24 15:51:04.512805 I TVRec[25]: Start channel: 201. 2016-02-24 15:51:04.512861 I TVRec[25]: CreateChannel?(201) 2016-02-24 15:51:04.513683 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-24 15:51:04.553276 I ChannelBase?[25]: Input #25: 'DVBInput#2' schan(201) sourceid(9) 2016-02-24 15:51:04.554452 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.604571 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.654738 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.704831 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.755013 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.805124 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.855275 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.905368 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:04.955523 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.005612 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.055766 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.105857 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.156034 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.206128 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.256284 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.306374 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.356530 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.406650 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.456837 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.507900 W DVBChan[25](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.508119 E DVBChan[25](/dev/dvb/adapter0/frontend0): Failed to open DVB frontend device due to fatal error or too many attempts. 2016-02-24 15:51:05.508273 E ChannelBase?: CreateChannel?() Error: Failed to open device /dev/dvb/adapter0/frontend0 2016-02016-02-24 15:51:05.527332 E Problem with capture cards. Card 25 failed init 2016-02-24 15:51:05.530387 I TVRec[26]: SetRecordingStatus?(Unknown->Unknown) on line 158 2016-02-24 15:51:05.530415 I TVRec[26]: GetStartChannel?(26) 2016-02-24 15:51:05.536080 I TVRec[26]: Start channel: 201. 2016-02-24 15:51:05.536131 I TVRec[26]: CreateChannel?(201) 2016-02-24 15:51:05.540541 I DVBChan[0](/dev/dvb/adapter0/frontend0): Opening DVB channel 2016-02-24 15:51:05.575142 I ChannelBase?[26]: Input #26: 'DVBInput#2' schan(201) sourceid(9) 2016-02-24 15:51:05.576521 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.626726 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.676916 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.727130 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.777324 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.827534 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.877720 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.927967 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:05.978184 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.028395 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.078585 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.128795 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.179008 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.229221 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.279409 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.329618 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.379808 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.430050 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.480241 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.530452 W DVBChan[26](/dev/dvb/adapter0/frontend0): Opening DVB frontend device failed.

eno: Device or resource busy (16)

2016-02-24 15:51:06.530480 E DVBChan[26](/dev/dvb/adapter0/frontend0): Failed to open DVB frontend device due to fatal error or too many attempts. 2016-02-24 15:51:06.530498 E ChannelBase?: CreateChannel?() Error: Failed to open device /dev/dvb/adapter0/frontend0 2-24 15:51:05.511154 I DVBChan[25](/dev/dvb/adapter0/frontend0): Closing DVB channel 2016-02-24 15:51:05.527283 I TVRec[25]: SetFlags?(Errored,) -> Errored, @ tv_rec.cpp:139

comment:47 Changed 4 years ago by mythtv@…

Friday evening is next opportunity for me to test any modification. Next 2 days i am travelling and this evening other items are on the list

comment:48 Changed 4 years ago by David Engel <dengel@…>

In 5ab0731cc8a5b2805c74c7e7490a188ca8539c1b/mythtv:

Remove redundant DiSEqCDevTree::Store().

Since cardid now needs to be passed, there is no need for two versions
of DiSEqCDevTree::Store(). Also, update the ABI version.

Refs #12499

(cherry picked from commit 0d5b81453f1eaa5edfd9d715a2a57245bfd0a7a3)

comment:49 Changed 4 years ago by gigem

Okay. Hopefully, I'll have something for you to try by then.

comment:50 Changed 4 years ago by gigem

Please try this. For each diseqc card, turn on the open on demand option. It's in the Recording Options section. It worked for my simulated case where I configured an ATSC card multiple times. I'm trying something which won't require doing that, but it hasn't worked yet.

comment:51 Changed 4 years ago by mythtv@…

I'll try but do not expect this to be a solution. The basic problem is that the same card has been defined 2x, and the scheduler thinks the cards are independent even though it is a single physical card. The failures observed so far, are not from recordings, but from EIT reading. The EIT "crawling" is needed to have correct and up-to-date schedule information available.

setting on demand will not change that. Also, if there is a recording on Astra1 at same time as astra2, the scheduler would with current configuration attempt to use the same physical card for the reocrdings. This is not possible and will indeed cause a fail (same type as observed in the logs above).

There is a similar case in the solution on how to allow for multiple recordings (from same Transport Stream). There a second (or multiple depending on number of simultanous recordings allowed) card defined which has the original card as master. This tells the scheduler there is only a single card, which means it can tune only once and other recordings are only possible if coming from the same TS.

The diseqc switch is another example of a shared resource. It is not possible to tune the same card at the same time to different satelites. In a system of a DVB-S[2] tuner with diseqc switch, the combination of tuner + diseqc switch can be viewed as a single shared resource that has added capabilities compared to the tuner alone.

i'll do 2 tests (probably tomorrow morning)

-1- your suggestion

-2- hack the database and declare the second set as slave device of the original tuner.

comment:52 Changed 4 years ago by gigem

You are wrong about the scheduler. It knows the cards cannot be used simultaneously because they are placed in an inputgroup together for using the same device. EIT is a somewhat different matter. It runs independently of the scheduler. Still, it should honor any inputgroup restrictions. I'm optimistic it will work.

comment:53 Changed 4 years ago by mythtv@…

with on demand enabled the error messages on device open are gone. EIT for astra1 on the first LNB are getting in. Astra2 on LNB2 seems to fail to get EIT though, which makes it difficult to start testing with different recordings.

Need to study the below, and compare setup with the operational system (which works)

2016-02-27 12:21:27.841658 I TVRec[29]: TuningFrequency? 2016-02-27 12:21:27.841681 I DVBChan[29](/dev/dvb/adapter2/frontend0): Opening DVB channel 2016-02-27 12:21:42.631677 I DVBChan[29](/dev/dvb/adapter2/frontend0): Using DVB card /dev/dvb/adapter2/frontend0, with frontend 'STB0899 Multistandard'. 2016-02-27 12:21:42.631719 I DVBChan[29](/dev/dvb/adapter2/frontend0): Requested DVB channel is on non-SCR system 2016-02-27 12:21:42.631742 I DiSEqCDevTree: Changing LNB voltage to 18V 2016-02-27 12:21:45.431713 E DiSEqCDevTree: FE_SET_VOLTAGE failed

eno: Input/output error (5)

2016-02-27 12:21:46.431896 I DiSEqCDevTree: Resetting DiSEqC Bus 2016-02-27 12:21:46.431939 I DiSEqCDevTree: Sending DiSEqC Command: e0 0 0 2016-02-27 12:21:50.731715 E DiSEqCDevTree: send_diseqc FE_DISEQC_SEND_MASTER_CMD failed

eno: Connection timed out (110)

2016-02-27 12:21:50.731748 E DiSEqCDevTree: DiSEqC command failed

eno: Connection timed out (110)

2016-02-27 12:21:50.731770 E DiSEqCDevTree: DiSEqC reset failed

eno: Connection timed out (110)

2016-02-27 12:21:50.768328 I ChannelBase?[29]: Input #29: 'DVBInput#2' schan(201) sourceid(9) 2016-02-27 12:21:50.768479 I DTVChan[29](/dev/dvb/adapter2/frontend0): SetChannelByString?(9531): 2016-02-27 12:21:50.794975 W DVBChan[29](/dev/dvb/adapter2/frontend0): Selected fec_inner parameter unsupported by this driver. 2016-02-27 12:21:50.795038 I DVBChan[29](/dev/dvb/adapter2/frontend0): 12523000 qpsk a auto auto a a auto a h fec: 2/3 msys: DVB-S rolloff: 0.35 2016-02-27 12:21:50.795822 I DVBChan[29](/dev/dvb/adapter2/frontend0): Old Params: 0 auto a auto auto a a auto a v fec: auto msys: UNDEFINED rolloff: 0.35 New Params: 12523000 qpsk a auto auto a a auto a h fec: 2/3 msys: DVB-S rolloff: 0.35 2016-02-27 12:21:50.795848 I DVBChan[29](/dev/dvb/adapter2/frontend0): Tune(): Tuning to 12523000kHz 2016-02-27 12:21:50.795933 I DiSEqCDevTree: Changing LNB voltage to 18V 2016-02-27 12:21:53.595719 E DiSEqCDevTree: FE_SET_VOLTAGE failed

eno: Input/output error (5)

2016-02-27 12:21:56.395714 E DiSEqCDevTree: FE_SET_TONE failed

eno: Input/output error (5)

2016-02-27 12:21:56.410828 I DiSEqCDevTree: Changing to DiSEqC switch port 2/4 2016-02-27 12:21:56.410856 I DiSEqCDevTree: Sending DiSEqC Command: e0 10 38 f7 2016-02-27 12:22:00.710716 E DiSEqCDevTree: send_diseqc FE_DISEQC_SEND_MASTER_CMD failed

eno: Connection timed out (110)

2016-02-27 12:22:00.710749 E DiSEqCDevTree: DiSEqC command failed

eno: Connection timed out (110)

2016-02-27 12:22:00.710775 E DVBChan[29](/dev/dvb/adapter2/frontend0): Tune(): Failed to setup DiSEqC devices 2016-02-27 12:22:00.710791 E DTVChan[29](/dev/dvb/adapter2/frontend0): SetChannelByString?(9531): Tuning to frequency. 2016-02-27 12:22:00.710804 I DTVChan[29](/dev/dvb/adapter2/frontend0): SetChannelByString?(9531): failure 2016-02-27 12:22:00.710823 E TVRec[29]: Failed to set channel to 9531. Reverting to kState_None 2016-02-27 12:22:00.710866 I TVRec[29]: HandleTuning? Request: Program(NULL) channel() input() flags(KillRec?,) 2016-02-27 12:22:00.710892 I TVRec[29]: TuningShutdowns?(Program(NULL) channel() input() flags(KillRec?,)) 2016-02-27 12:22:00.712776 I TVRec[29]: ClearFlags?(EITScannerRunning,) -> RunMainLoop?, @ tv_rec.cpp:3571 2016-02-27 12:22:00.714334 I DVBChan[29](/dev/dvb/adapter2/frontend0): Closing DVB channel 2016-02-27 12:22:00.715120 I TVRec[29]: ClearFlags?(PENDINGACTIONS,) -> RunMainLoop?, @ tv_rec.cpp:3642

comment:54 Changed 4 years ago by mythtv@…

You can forget the diseqc issues. i've lost a tunercard

comment:55 Changed 4 years ago by gigem

I'm sorry to hear that. Let me know when you get it fixed or replaced and want to test again.

comment:56 Changed 4 years ago by mythtv@…

Still testing :)

comment:57 Changed 4 years ago by Stuart Auchterlonie

The EIT scanner does not abide by input groups. That needs fixing. See #8251.

comment:58 Changed 4 years ago by gigem

How is that testing going?

comment:59 Changed 4 years ago by mythtv@…

Not easy to tell as i am having trouble with broken HW (and currently not enough time to replace) in the test setup. From what i can see it now works.

Is there now code to convert from old to new situation, or does this need manual re-configure?

comment:60 Changed 4 years ago by gigem

Status: infoneededassigned

Thanks for replying. The schema updates should be correct. They do the reight thing as far as I can tell in my test updates. I don't have actual hardware, though, so I could easily be overlooking something. One issue remains. That is what to do with the open on demand option. I'm waiting on input from other developers on how best to handle that.

comment:61 Changed 4 years ago by gigem

Resolution: Fixed
Status: assignedclosed

I'm marking this fixed because of the impending release of 0.28. This doesn't mean that everything diseqc related is perfect. It only means that it can be configured, which is what the original ticket involved, and that it can be used.

comment:62 Changed 20 months ago by holthuis.fam@…

I am in the process of merging from mythtv 0.27 to 0.28 and ran into problems wit my multiple LNB setup.

I have one tunercard, connected to a switch with 2 LNB's connected. I have succesfully set up the tuner and input connection to a video source and made a duplicate tuner entry that I hooked up to a second video source for the second LNB.

I can scan for channels on both LNB's in myht-setup.

The problem is the following: When watching live tv I can not change to a channel on the second LNB as it thinks, the card is occupied. I can only change to channels on the first lnb. What config option have I forgotten?

comment:63 Changed 20 months ago by gigem

Ticket locked: set

holthuis.fam, please open a new ticket for this new issue. When you do so, please include the full MythTV version and also the backend and frontend logs.

Note: See TracTickets for help on using tickets.